Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts.plugins
Interface IErrorResponseFormatter

All Known Implementing Classes:
  DefaultErrorResponseFormatter

    public interface IErrorResponseFormatter

IErrorResponseFormatter is the interface for formatting an ErrorResponseInfo object.

Since:
  4.1

Method Summary
`void` | `formatError(ErrorResponseInfo errorInfo, PortletRequest request, PortletResponse response, ViewCommandExecutionContext executionContext)` Formats the error information, using all the execution information available.
`void` | `formatError(ErrorResponseInfo errorInfo, java.io.PrintWriter outWriter)` Formats the error information in the request and response objects.

Method Detail

### formatError

    void formatError(ErrorResponseInfo errorInfo,
                     PortletRequest request,
                     PortletResponse response,
                     ViewCommandExecutionContext executionContext)

  Formats the error information, using all the execution information available. The normal approach is to get the PrintWriter from the PortletResponse and simply call the other formatError method passing the errorInfo and PrintWriter.

  Parameters:
    `errorInfo` - the ErrorResponseInfo object
    `request` - The request object
    `response` - The response object
    `executionContext` - the execution context object

### formatError

    void formatError(ErrorResponseInfo errorInfo,
                     java.io.PrintWriter outWriter)

  Formats the error information in the request and response objects.

  Parameters:
    `errorInfo` - the ErrorResponseInfo object
    `outWriter` - the PrintWriter to write to

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD